data:extend(
{
  {
    type = "item",
    name = "assembler-test",
	localised_name = "assembler-test",
    icon = "__AssemblerTest__/deadlock-stacking.png",
    icon_size = 64,
    flags = {"goes-to-quickbar"},
    subgroup = "production-machine",
    order = "e[chemical-plant]b",
    place_result = "assembler-test",
    stack_size = 50
  },
  {
    type = "recipe",
    name = "assembler-test",
	localised_name = "assembler-test",
    energy_required = 2,
    enabled = true,
    ingredients =
    {
      {"steel-plate", 5},
      {"iron-gear-wheel", 5},
      {"electronic-circuit", 2},
      {"pipe", 5}
    },
    result = "assembler-test"
  },
 	
 {
  -- Fluid Belt
  
    type = "assembling-machine",
    name = "assembler-test",
	localised_name = "assembler-test",
    icon = "__AssemblerTest__/deadlock-stacking.png",
    icon_size = 64,
	scale = 0.5,
    flags = {"placeable-neutral","player-creation"},
    minable = {mining_time = 1, result = "assembler-test"},
    max_health = 250,
    corpse = "big-remnants",
    dying_explosion = "medium-explosion",
--    collision_box = {{-0.29, -0.29}, {0.29, 0.29}},
      collision_box = {
        {
          -0.9,
          -0.4
        },
        {
          0.9,
          0.4
        }
      },
--    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
      selection_box = {
        {
          -0.9,
          -0.4
        },
        {
          0.9,
          0.4
        }
		},
    crafting_categories = {"crafting-with-fluid"},
    crafting_speed = 10,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 8
    },
    energy_usage = "1kW",
    ingredient_count = 2,
    source_inventory_size = 2,
    result_inventory_size = 2,
    working_visualisations = nil,
    vehicle_impact_sound = nil,
    working_sound = nil,
    animation =
    {
      filename = "__AssemblerTest__/deadlock-stacking.png",
      priority="high",
      width = 128,
      height = 128,
	  scale = 0.3,
	  frame_count = 1
    },
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_covers = pipecoverspictures(),
        base_area = 2,
        base_level = -1,
        pipe_connections =
        {
          { type = "input", position = {0.5, -1} }
        }
      },
      {
        production_type = "output",
		pipe_covers = pipecoverspictures(),
        base_area = 2,
        base_level = 1,
        pipe_connections = {{ type="output", position = {1.5, 0} }}
      }
    },
    pipe_covers = pipecoverspictures()
  }
 }
 )
